[API Reference](../README.md) > [DaoGlobalConstraintInfo](../interfaces/DaoGlobalConstraintInfo.md)

# Interface: DaoGlobalConstraintInfo

Returned from DAO.getGlobalConstraints

## Hierarchy

**DaoGlobalConstraintInfo**

## Index

### Properties

* [address](DaoGlobalConstraintInfo.md#address)
* [paramsHash](DaoGlobalConstraintInfo.md#paramsHash)
* [wrapper](DaoGlobalConstraintInfo.md#wrapper)

---

## Properties

<a id="address"></a>

###  address

**● address**: *`string`*

*Defined in dao.ts:412*

Global constraint address

___
<a id="paramsHash"></a>

###  paramsHash

**● paramsHash**: *`string`*

*Defined in dao.ts:416*

hash of the constraint parameters

___
<a id="wrapper"></a>

###  wrapper

**● wrapper**: *[IContractWrapper](IContractWrapper.md)*

*Defined in dao.ts:420*

Wrapper class for the constraint if it was deployed by the running version of Arc.js

___

